Routing - Retrieve Config
curl --request GET \
--url https://sandbox.foldd.com/routing/active \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.foldd.com/routing/active"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.foldd.com/routing/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"algorithm": {
"id": "<string>",
"profile_id": "<string>",
"name": "<string>",
"description": "<string>",
"algorithm": {
"type": "single",
"data": {
"merchant_connector_id": "<string>"
}
},
"created_at": 123,
"modified_at": 123
}
}Routing
Routing - Retrieve Config
Retrieve active config
GET
/
routing
/
active
Routing - Retrieve Config
Authorizations
Use the API key created under your merchant account from the Foldd dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Query Parameters
The unique identifier for a merchant profile
Response
Successfully retrieved active config
- object
- object[]
Response of the retrieved routing configs for a merchant account
Routing Algorithm specific to merchants
Show child attributes
Show child attributes
⌘I